public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-auth/polkit/
Date: Mon,  4 Oct 2021 20:08:11 +0000 (UTC)	[thread overview]
Message-ID: <1633378084.3623932f33b7e986169ccbb0e57032c2f2d60e1d.polynomial-c@gentoo> (raw)

commit:     3623932f33b7e986169ccbb0e57032c2f2d60e1d
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Oct  4 20:06:47 2021 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Oct  4 20:08:04 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3623932f

sys-auth/polkit: Bump to version 0.120

Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 sys-auth/polkit/Manifest            |   1 +
 sys-auth/polkit/polkit-0.120.ebuild | 110 ++++++++++++++++++++++++++++++++++++
 2 files changed, 111 insertions(+)

diff --git a/sys-auth/polkit/Manifest b/sys-auth/polkit/Manifest
index 6533565ddf2..1790f11870e 100644
--- a/sys-auth/polkit/Manifest
+++ b/sys-auth/polkit/Manifest
@@ -2,3 +2,4 @@ DIST polkit-0.116.tar.gz 1548311 BLAKE2B e9761a2934136d453a47b81dd1f132f9fc96c45
 DIST polkit-0.117.tar.gz 1554536 BLAKE2B 1cf7e0ff9db19a29be626f4bea96c9e2ef8b1eab4b8287a5f1f4d2a818b86d58c1c4c4a41849d95e31559dba1b18853a31e934ebbadd8e07f94dfd58b45240e0 SHA512 c10ea984f2386fe436e58a2866e5323afc80d24f744f0ee61d966941259aa491bd96b07d911434aa731b300c3cca25b647804b396501175ab5b3c53384e94c70
 DIST polkit-0.118.tar.gz 1556765 BLAKE2B d048b37b1ff8ad59a2d8a333a3b459d1592b61f7a6d9a9569f8b2984de913d71abfc9748e242c7453f0bce4f322bd44672e35309f181afd22488794ca0e47119 SHA512 3d412f40c903cfaf68530f9c0cb616106f8edf43bec6805de129f8bb9cb4e64c98da6bf02caa3ef5619974f3e2df7a70564f08b92901662453477e9005752b4e
 DIST polkit-0.119.tar.gz 1387409 BLAKE2B aeb605598393d1cab40f7c77954008a0392600584c5fe8cc9acaa0e122418ee48b9cce0b6839189ea415277ff0ae4dbd5b7c71cb910aa349dcaf7e1f3f70ef06 SHA512 0260fb15da1c4c1f429e8223260981e64e297f1be8ced42f6910f09ea6581b8205aca06c9c601eb4a128acba2f468de0223118f96862ba769f95721894cf1578
+DIST polkit-0.120.tar.gz 1626659 BLAKE2B 745727445b4946d44b8ea470d21ac131ca7706e83f5dbaf85cf3541ac60a1bbe23b3bf3172a62d9256ebb3dae02d2b2d476e3e0f7fe79a80c47864a120e62ed9 SHA512 db072769439d5e17d0eed681e7b94251b77828c1474b40fe40b94293903a64333e7fa17515a3270648691f04a1374d8b404405ead6abf292a8eb8483164adc46

diff --git a/sys-auth/polkit/polkit-0.120.ebuild b/sys-auth/polkit/polkit-0.120.ebuild
new file mode 100644
index 00000000000..f8a3419af6e
--- /dev/null
+++ b/sys-auth/polkit/polkit-0.120.ebuild
@@ -0,0 +1,110 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit meson pam pax-utils systemd xdg-utils
+
+DESCRIPTION="Policy framework for controlling privileges for system-wide services"
+HOMEPAGE="https://www.freedesktop.org/wiki/Software/polkit https://gitlab.freedesktop.org/polkit/polkit"
+SRC_URI="https://www.freedesktop.org/software/${PN}/releases/${P}.tar.gz"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~mips ~ppc64 ~riscv ~s390 ~x86"
+IUSE="examples gtk +introspection kde pam selinux systemd test"
+#RESTRICT="!test? ( test )"
+# Tests currently don't work with meson. See
+#   https://gitlab.freedesktop.org/polkit/polkit/-/issues/144
+RESTRICT="test"
+
+BDEPEND="
+	acct-user/polkitd
+	app-text/docbook-xml-dtd:4.1.2
+	app-text/docbook-xsl-stylesheets
+	dev-libs/glib
+	dev-libs/gobject-introspection-common
+	dev-libs/libxslt
+	dev-util/glib-utils
+	sys-devel/gettext
+	virtual/pkgconfig
+	introspection? ( dev-libs/gobject-introspection )
+"
+DEPEND="
+	dev-lang/spidermonkey:78[-debug]
+	dev-libs/glib:2
+	dev-libs/expat
+	pam? (
+		sys-auth/pambase
+		sys-libs/pam
+	)
+	!pam? ( virtual/libcrypt:= )
+	systemd? ( sys-apps/systemd:0=[policykit] )
+	!systemd? ( sys-auth/elogind )
+"
+RDEPEND="${DEPEND}
+	acct-user/polkitd
+	selinux? ( sec-policy/selinux-policykit )
+"
+PDEPEND="
+	gtk? ( || (
+		>=gnome-extra/polkit-gnome-0.105
+		>=lxde-base/lxsession-0.5.2
+	) )
+	kde? ( kde-plasma/polkit-kde-agent )
+"
+
+DOCS=( docs/TODO HACKING NEWS README )
+
+QA_MULTILIB_PATHS="
+	usr/lib/polkit-1/polkit-agent-helper-1
+	usr/lib/polkit-1/polkitd"
+
+src_prepare() {
+	default
+
+	sed -i -e 's|unix-group:wheel|unix-user:0|' src/polkitbackend/*-default.rules || die #401513
+}
+
+src_configure() {
+	xdg_environment_reset
+
+	local emesonargs=(
+		--localstatedir="${EPREFIX}"/var
+		-Dauthfw="$(usex pam pam shadow)"
+		-Dexamples=false
+		-Dgtk_doc=false
+		-Dman=true
+		-Dos_type=gentoo
+		-Dsession_tracking="$(usex systemd libsystemd-login libelogind)"
+		-Dsystemdsystemunitdir="$(systemd_get_systemunitdir)"
+		$(meson_use introspection)
+		$(meson_use test tests)
+		$(usex pam "-Dpam_module_dir=$(getpam_mod_dir)" '')
+	)
+	meson_src_configure
+}
+
+src_compile() {
+	meson_src_compile
+
+	# Required for polkitd on hardened/PaX due to spidermonkey's JIT
+	pax-mark mr src/polkitbackend/.libs/polkitd test/polkitbackend/.libs/polkitbackendjsauthoritytest
+}
+
+src_install() {
+	meson_src_install
+
+	if use examples ; then
+		docinto examples
+		dodoc src/examples/{*.c,*.policy*}
+	fi
+
+	diropts -m 0700 -o polkitd
+	keepdir /usr/share/polkit-1/rules.d
+}
+
+pkg_postinst() {
+	chmod 0700 "${EROOT}"/{etc,usr/share}/polkit-1/rules.d
+	chown polkitd "${EROOT}"/{etc,usr/share}/polkit-1/rules.d
+}


             reply	other threads:[~2021-10-04 20:08 UTC|newest]

Thread overview: 185+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-10-04 20:08 Lars Wendler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-25  8:22 [gentoo-commits] repo/gentoo:master commit in: sys-auth/polkit/ Sam James
2025-03-25  5:34 Sam James
2025-03-25  0:14 Sam James
2024-11-10 13:37 Sam James
2024-11-09  3:47 Sam James
2024-11-09  2:14 Sam James
2024-11-09  2:14 Sam James
2024-11-09  2:14 Sam James
2024-09-02  2:26 Sam James
2024-09-01  9:26 Sam James
2024-09-01  0:27 Sam James
2024-09-01  0:18 Sam James
2024-09-01  0:10 Sam James
2024-07-05 19:41 Viorel Munteanu
2024-06-21 15:02 Sam James
2024-05-29 12:15 Sam James
2024-05-29 11:47 Sam James
2024-05-29  6:26 Jakov Smolić
2024-01-19  6:36 Sam James
2024-01-19  6:36 Sam James
2024-01-10 17:52 Jason A. Donenfeld
2023-12-23 19:59 Arthur Zamarin
2023-12-16  7:05 Arthur Zamarin
2023-12-16  3:08 Sam James
2023-12-16  1:29 Sam James
2023-12-16  1:29 Sam James
2023-08-18 10:40 Sam James
2023-03-22 19:47 Mike Gilbert
2023-03-04 13:51 Arthur Zamarin
2023-03-04 11:47 Arthur Zamarin
2023-03-04 11:13 Arthur Zamarin
2023-03-04  7:06 Arthur Zamarin
2023-03-04  6:31 Arthur Zamarin
2023-03-04  6:26 Arthur Zamarin
2023-03-04  5:41 Arthur Zamarin
2022-12-05  3:41 Sam James
2022-12-05  3:41 Sam James
2022-08-31  7:37 Jakov Smolić
2022-08-31  6:48 Jakov Smolić
2022-08-31  5:12 Arthur Zamarin
2022-08-31  5:12 Arthur Zamarin
2022-08-31  2:51 Sam James
2022-08-31  2:47 Sam James
2022-08-31  2:47 Sam James
2022-07-12  6:56 Sam James
2022-06-18 16:54 Agostino Sarubbo
2022-06-17 11:39 Agostino Sarubbo
2022-06-17 10:44 Jakov Smolić
2022-06-17  6:58 Agostino Sarubbo
2022-06-17  6:55 Agostino Sarubbo
2022-06-17  0:06 Sam James
2022-06-17  0:06 Sam James
2022-06-09  2:43 Sam James
2022-05-14 21:24 Sam James
2022-05-09  7:30 Agostino Sarubbo
2022-05-04 14:33 Sam James
2022-05-04 14:33 Sam James
2022-05-04 13:16 Agostino Sarubbo
2022-05-04  2:28 Sam James
2022-05-04  2:28 Sam James
2022-05-03 19:12 Arthur Zamarin
2022-04-26 13:47 Sam James
2022-03-18  6:40 Sam James
2022-03-17  2:13 Sam James
2022-03-16  2:23 Sam James
2022-03-15 18:20 Matt Turner
2022-03-15  5:53 Matt Turner
2022-03-13  2:44 Matt Turner
2022-02-26 13:27 Arthur Zamarin
2022-02-25 21:11 Sam James
2022-02-25  7:57 Agostino Sarubbo
2022-02-23  7:32 Agostino Sarubbo
2022-02-20 20:34 Sam James
2022-02-05 20:46 Andreas Sturmlechner
2022-01-30 22:26 Sam James
2022-01-28  9:33 Agostino Sarubbo
2022-01-26 19:33 Sam James
2022-01-25 22:17 Sam James
2022-01-25 21:41 Sam James
2022-01-25 21:25 Sam James
2022-01-25 21:23 Sam James
2022-01-25 21:23 Sam James
2022-01-25 17:35 Sam James
2021-12-06 15:25 Sam James
2021-12-06 15:23 Sam James
2021-12-06 15:20 Sam James
2021-12-06  8:03 Agostino Sarubbo
2021-12-05 18:29 Sam James
2021-10-05 15:55 Andreas Sturmlechner
2021-10-05 10:29 Lars Wendler
2021-10-04 20:08 Lars Wendler
2021-07-12  6:42 Sam James
2021-06-27  2:08 Sam James
2021-06-24 23:27 Sam James
2021-06-07  6:28 Sergei Trofimovich
2021-06-03 23:33 Lars Wendler
2021-06-03 19:58 Sam James
2021-06-03 19:58 Sam James
2021-06-03 17:57 Lars Wendler
2021-05-26 15:16 Yixun Lan
2020-12-28 17:35 Mike Gilbert
2020-11-06 20:07 Sam James
2020-11-06 15:37 Sam James
2020-11-06 14:51 Sam James
2020-11-06 10:57 Sam James
2020-11-06 10:35 Sam James
2020-11-06 10:32 Sam James
2020-11-06  7:04 Sam James
2020-11-06  4:47 Sam James
2020-10-06 18:12 Mikle Kolyada
2020-09-17 13:52 Lars Wendler
2020-07-31 22:51 Lars Wendler
2020-07-31 22:12 Lars Wendler
2020-04-19 20:27 Mart Raudsepp
2020-04-17  6:54 Agostino Sarubbo
2020-04-17  6:52 Agostino Sarubbo
2020-04-17  6:51 Agostino Sarubbo
2020-04-17  6:50 Agostino Sarubbo
2020-04-17  6:48 Agostino Sarubbo
2020-04-17  6:42 Agostino Sarubbo
2020-02-16 13:41 Andreas Sturmlechner
2020-02-13 12:37 Agostino Sarubbo
2019-10-12 18:52 Mikle Kolyada
2019-08-09 18:27 Mike Gilbert
2019-07-26 17:06 Matt Turner
2019-07-25 19:01 Matt Turner
2019-07-22 21:08 Aaron Bauman
2019-07-17 19:19 Matt Turner
2019-07-02 20:42 Sergei Trofimovich
2019-07-02  8:28 Sergei Trofimovich
2019-07-02  8:24 Sergei Trofimovich
2019-07-01 19:23 Thomas Deutschmann
2019-07-01  3:38 Matt Turner
2019-06-29 17:03 Matt Turner
2019-06-04 20:25 Sergei Trofimovich
2019-05-07 21:52 Matt Turner
2019-05-06 15:25 Tobias Klausmann
2019-04-28 20:31 Lars Wendler
2019-04-22 10:41 Andreas Sturmlechner
2019-04-20 19:29 Aaron Bauman
2019-04-20 19:29 Aaron Bauman
2019-04-20 19:09 Aaron Bauman
2019-04-20  9:03 Andreas Sturmlechner
2019-04-20  9:03 Andreas Sturmlechner
2019-04-20  9:03 Andreas Sturmlechner
2019-03-16  6:26 Michael Palimaka
2019-02-17 17:49 Sergei Trofimovich
2019-01-04 22:41 Mikle Kolyada
2019-01-02 12:18 Markus Meier
2018-12-13 12:48 Thomas Deutschmann
2018-12-12 16:22 Mikle Kolyada
2018-11-24  9:10 Mikle Kolyada
2018-11-18  0:36 Gilles Dartiguelongue
2018-11-15 15:48 Thomas Deutschmann
2018-11-15 13:15 Mikle Kolyada
2018-08-08 20:45 Andreas Sturmlechner
2018-08-08 20:45 Andreas Sturmlechner
2018-07-18  7:57 Lars Wendler
2018-06-14 19:22 Mikle Kolyada
2018-05-09 14:12 Lars Wendler
2018-05-05 11:28 Andreas Sturmlechner
2017-12-24 21:22 Mikle Kolyada
2017-11-26 20:43 Sergei Trofimovich
2017-10-27 12:54 Thomas Deutschmann
2017-10-23 18:01 Markus Meier
2017-10-02 13:24 Sergei Trofimovich
2017-10-02 12:16 Manuel Rüger
2017-10-02 11:58 Sergei Trofimovich
2017-08-17 22:41 Gilles Dartiguelongue
2017-07-09 14:32 Michael Palimaka
2017-07-09 14:27 Michael Palimaka
2017-07-09 14:27 Michael Palimaka
2016-09-08 23:03 Gilles Dartiguelongue
2016-03-20 23:09 Stephen Klimaszewski
2016-01-02 18:53 Gilles Dartiguelongue
2016-01-02 10:30 Gilles Dartiguelongue
2015-11-05 10:58 Agostino Sarubbo
2015-09-25 14:29 Agostino Sarubbo
2015-09-25  5:59 Markus Meier
2015-09-24  7:59 Agostino Sarubbo
2015-09-22  8:57 Agostino Sarubbo
2015-09-11  5:11 Jeroen Roovers
2015-09-05 16:54 Mikle Kolyada
2015-08-27 18:29 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1633378084.3623932f33b7e986169ccbb0e57032c2f2d60e1d.polynomial-c@gentoo \
    --to=polynomial-c@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox